#ifndef STATE_H
#define STATE_H

class state {
 public:
   
    struct state *next, *prev;
    double xmin, xmax, ymin, ymax;  /* Cartesian coordinates */
    int MAXITS;                     /* the number of iterations before we "give up"  */
    int width;  int height;         /* dimensions of pixmap, drawing area */
    int pwidth; int pheight;        /* dimensions of preview pixmap, preview drawing area */
    int depth;                      /* COLOR or BW */
//    XColor colors[NUM_COLORS];      /* colormap */
    int type;                       /* JULIA or MANDELBROT */
    int func_idx;                   /* which function in the array this was generated with */

    complex subA;
 //   Pixmap pix;                     /* the picture of the state */
 //   Pixmap preview;                 /* thumbnail version */
};


#endif
